/*
** Haaf's Game Engine 1.8
** Copyright (C) 2003-2007, Relish Games
** hge.relishgames.com
**
** hge_tut03 - Using helper classes
*/


#include <cmath>
#include <ctime>
#include <vector>

#include "hge.h"
#include "hgesprite.h"
#include "hgefont.h"

#include "helper.h"
#include "globals.h"

#include "player.h"
#include "food.h"

#include "game.h"
#include "resources.h"

bool FrameFunc()
{
	return g_Game.FrameFunc();
}

bool RenderFunc()
{
	return g_Game.RenderFunc();
}


int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	g_hge = hgeCreate(HGE_VERSION);

	g_hge->Random_Seed( (int)time( NULL ));

	g_hge->System_SetState(HGE_LOGFILE, "error.log");
	g_hge->System_SetState(HGE_FRAMEFUNC, FrameFunc);
	g_hge->System_SetState(HGE_RENDERFUNC, RenderFunc);
	g_hge->System_SetState(HGE_TITLE, "Pacman Fast Prototype");
	g_hge->System_SetState(HGE_FPS, 100);
	g_hge->System_SetState(HGE_WINDOWED, true);
	g_hge->System_SetState(HGE_SCREENWIDTH, g_BoardSizeX * 2);
	g_hge->System_SetState(HGE_SCREENHEIGHT, g_BoardSizeY * 2);
	g_hge->System_SetState(HGE_SCREENBPP, 32);
	g_hge->System_SetState(HGE_SHOWSPLASH, false );

	if(g_hge->System_Initiate()) 
	{
		LoadResource();

		g_Game.PrepareGame();

		// Let's rock now!
		g_hge->Music_Play(musGame, true);
		g_hge->System_Start();

		// Delete created objects and free loaded resources
		FreeResource();
	}

	// Clean up and shutdown
	g_hge->System_Shutdown();
	g_hge->Release();
	return 0;
}
