/*!
	\file resources.cpp

	\brief cpp-Datei der resources
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung	
*/

#include "resources.h"
#include "globals.h"

void LoadResource()
{
	// Load sound and texture
	sndEnergy=g_hge->Effect_Load("data/energy.ogg");
	sndPacEaten=g_hge->Effect_Load("data/paceaten.wav");
	sndFoodEaten=g_hge->Effect_Load("data/food.wav");
	sndDead=g_hge->Effect_Load("data/dead.wav");
	sndNextLevel=g_hge->Effect_Load("data/nextlevel.wav");

	musGame = g_hge->Music_Load("data/stardust.xm");

	// Create and set up a sprites
	texGhost=g_hge->Texture_Load("data/ghost.png");
	sprGhost=new hgeSprite(texGhost, 0, 0, 32, 32);
	sprGhost->SetColor(0xFFFF0000);
	sprGhost->SetHotSpot(16,16);
	texGhost2=g_hge->Texture_Load("data/ghost_energy.png");
	sprGhost2=new hgeSprite(texGhost2, 0, 0, 48, 48);
	sprGhost2->SetColor(0xFFFF0000);
	sprGhost2->SetHotSpot(24,24);

	texPacMan=g_hge->Texture_Load("data/pac.png");
	sprPacMan=new hgeSprite(texPacMan, 0, 0, 16, 16);
	sprPacMan->SetColor(0xFFFFFF00);
	sprPacMan->SetHotSpot(8,8);

	texFood=g_hge->Texture_Load("data/food.png");
	sprFood=new hgeSprite(texFood, 0, 0, 6, 4);
	sprFood->SetColor(0xFF00A000);
	sprFood->SetHotSpot(3,2);

	// Load a font
	fnt=new hgeFont("data/font1.fnt");
}
void FreeResource()
{
	//... immer noch zu faul...
}

HTEXTURE			texGhost;
hgeSprite*			sprGhost;
HTEXTURE			texGhost2;
hgeSprite*			sprGhost2;
HTEXTURE			texPacMan;
hgeSprite*			sprPacMan;
HTEXTURE			texFood;
hgeSprite*			sprFood;

// Pointers to the HGE objects we will use
// Handles for HGE resourcces
hgeFont*			fnt;
HEFFECT				sndEnergy;
HEFFECT				sndPacEaten;
HEFFECT				sndFoodEaten;
HEFFECT				sndDead;
HEFFECT				sndNextLevel;

HMUSIC				musGame;

//	EOF: resources.cpp
